
!Point methodsFor: '*Croquet-Misc' stamp: 'das 7/7/2005 14:52'!
area
	^x*y! !

!Point methodsFor: '*Croquet-Misc' stamp: 'das 12/31/2005 16:33'!
asLargerPowerOfTwo
	^x asLargerPowerOfTwo @ y asLargerPowerOfTwo! !

!Point methodsFor: '*Croquet-Misc' stamp: 'das 12/31/2005 16:32'!
asSmallerPowerOfTwo
	^x asSmallerPowerOfTwo @ y asSmallerPowerOfTwo! !

!Point methodsFor: '*Croquet-Misc' stamp: 'das 7/7/2005 14:51'!
maxDimension
	"Answer the larger of the two dimensions."

	^x max: y.! !

!Point methodsFor: '*Croquet-Misc' stamp: 'das 7/7/2005 14:51'!
minDimension
	"Answer the larger of the two dimensions."

	^x min: y.! !

!FileDirectory class methodsFor: '*Croquet-Misc' stamp: 'ar 2/16/2006 22:31'!
addCroquetMimeTypes
	#(
		(mpg	('video/mpeg' 'audio/mpeg'))
	) do:[:spec|
		StandardMIMEMappings at: spec first asString put: spec last.
	].! !

!FileDirectory class methodsFor: '*Croquet-Misc' stamp: 'jrd 6/28/2008 22:24'!
modificationTimeFor: fileName

	| fileDir |
	fileDir := FileDirectory forFileName:  (FileDirectory pathFrom: {fileName}) .
	^(fileDir directoryEntryFor: fileName) modificationTime.! !

!FileDirectory class methodsFor: '*Croquet-Misc' stamp: 'bf 3/11/2004 17:46'!
pathFrom: aCollection
	"Take the given collection and make it into a full path"
	"
		FileDirectory pathFrom: #('foo' 'bar' 'baz').
		FileDirectory pathFrom: {FileDirectory default pathName. 'mumble'. 'frobler'}.
	"
	| skipSeparator |
	^String streamContents:[:s|
		"Macs are special"
		(self pathNameDelimiter = $:
			and: [(aCollection first beginsWith: FileDirectory default pathName) not]) ifTrue: [
				s nextPutAll: FileDirectory default pathName.
				s nextPut: self pathNameDelimiter].

		aCollection do:[:pathPart|
			s nextPutAll: pathPart.
			skipSeparator := pathPart size = 0 or:[pathPart last = self pathNameDelimiter].
		] separatedBy:[
			skipSeparator ifFalse:[s nextPut: self pathNameDelimiter].
		].
	].
! !

!FileDirectory class methodsFor: '*Croquet-Misc' stamp: 'ar 6/16/2005 22:03'!
pathFromURI: aString
	"
		FileDirectory pathFromURI: 'foo/bar/baz'.
		FileDirectory default pathFromURI: 'foo/bar/baz'.
	"
	^self default pathFromURI: aString! !

!FileDirectory methodsFor: '*Croquet-Misc' stamp: 'mtf 1/27/2011 23:26'!
pathFromURI: aString
	| localPath |
	aString class == Array ifTrue:["bullet-proofing"
		^FileDirectory pathFrom: {self pathName}, aString].
	localPath := aString.
	self slash = '/' ifFalse: [localPath := aString copyReplaceAll: '/' with: self slash].
	^ self fullNameFor: localPath! !
